from enum import Enum


class BaseErrorCode(Enum):
    OK = "000"

    # dicom io error
    READ_DICOM_HEADER_ERROR = "101"
    READ_DICOM_DATA_ERROR = "102"

    # missing mandatory tags
    MISSING_IMAGE_POSITION_TAG_ERROR = "103"
    MISSING_SERIES_UID_TAG_ERROR = "104"
    MISSING_INSTANCE_NUMBER_TAG_ERROR = "105"
    MISSING_PIXEL_SPACING_TAG_ERROR = "106"

    # incorrect dicom
    MULTIPLE_INPUT_SERIES_ERROR = "107"
    NOT_ENOUGH_SLICES_ERROR = "108"
    INCONSISTENT_INSTANCE_NUMBER_ERROR = "109"
    INCONSISTENT_ZPIXEL_SPACING_ERROR = "110"
    INCORRECT_ZPIXEL_SPACING_ERROR = "111"

    UNKNOWN_ERROR = "999"
